POST api/v1/bvrc/volunteer
Request Information
URI Parameters
None.
Body Parameters
BvrcVolunteerRegistrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PublicId | globally unique identifier |
None. |
|
| string |
None. |
||
| Password | string |
None. |
|
| FirstName | string |
None. |
|
| LastName | string |
None. |
|
| DateOfBirth | date |
None. |
|
| Gender | string |
None. |
|
| PhoneNumber | string |
None. |
|
| SuburbId | integer |
None. |
|
| Location | string |
None. |
|
| RegisterAsSkillVolunteer | boolean |
None. |
|
| SkillSubClassifications | Collection of LookupChild |
None. |
|
| Qualification | string |
None. |
|
| NewsletterSubscriptions | Collection of string |
None. |
|
| CountryOfBirth | integer |
None. |
|
| SpokenLanguage | integer |
None. |
|
| AboriginalOrTorresStraitIslanderOrigin | integer |
None. |
|
| WorkType | integer |
None. |
|
| CurrentWorkOther | string |
None. |
|
| HasDisabilty | boolean |
None. |
|
| Disabilty | integer |
None. |
|
| CentrelinkObligations | boolean |
None. |
|
| ResearchConsent | boolean |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"publicId": "156de7d7-caf2-4a13-a4aa-7b05a060cfbd",
"email": "sample string 1",
"password": "sample string 2",
"firstName": "sample string 3",
"lastName": "sample string 4",
"dateOfBirth": "2026-06-25T13:40:01.4014877+00:00",
"gender": "sample string 5",
"phoneNumber": "sample string 6",
"suburbId": 7,
"location": "sample string 8",
"registerAsSkillVolunteer": true,
"skillSubClassifications": [
{
"id": 1,
"parentId": 2,
"name": "sample string 3"
},
{
"id": 1,
"parentId": 2,
"name": "sample string 3"
}
],
"qualification": "sample string 10",
"newsletterSubscriptions": [
"sample string 1",
"sample string 2"
],
"countryOfBirth": 11,
"spokenLanguage": 12,
"aboriginalOrTorresStraitIslanderOrigin": 13,
"workType": 14,
"currentWorkOther": "sample string 15",
"hasDisabilty": true,
"disabilty": 1,
"centrelinkObligations": true,
"researchConsent": true
}
application/xml, text/xml
Sample:
<BvrcVolunteerRegistrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.Core.CustomModels.Boroondara">
<AboriginalOrTorresStraitIslanderOrigin>13</AboriginalOrTorresStraitIslanderOrigin>
<CentrelinkObligations>true</CentrelinkObligations>
<CountryOfBirth>11</CountryOfBirth>
<CurrentWorkOther>sample string 15</CurrentWorkOther>
<DateOfBirth>2026-06-25T13:40:01.4014877+00:00</DateOfBirth>
<Disabilty>1</Disabilty>
<Email>sample string 1</Email>
<FirstName>sample string 3</FirstName>
<Gender>sample string 5</Gender>
<HasDisabilty>true</HasDisabilty>
<LastName>sample string 4</LastName>
<Location>sample string 8</Location>
<NewsletterSubscriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</NewsletterSubscriptions>
<Password>sample string 2</Password>
<PhoneNumber>sample string 6</PhoneNumber>
<PublicId>156de7d7-caf2-4a13-a4aa-7b05a060cfbd</PublicId>
<Qualification>sample string 10</Qualification>
<RegisterAsSkillVolunteer>true</RegisterAsSkillVolunteer>
<ResearchConsent>true</ResearchConsent>
<SkillSubClassifications xmlns:d2p1="http://schemas.datacontract.org/2004/07/VOL.Core.CustomModels">
<d2p1:LookupChild>
<d2p1:Id>1</d2p1:Id>
<d2p1:Name>sample string 3</d2p1:Name>
<d2p1:ParentId>2</d2p1:ParentId>
</d2p1:LookupChild>
<d2p1:LookupChild>
<d2p1:Id>1</d2p1:Id>
<d2p1:Name>sample string 3</d2p1:Name>
<d2p1:ParentId>2</d2p1:ParentId>
</d2p1:LookupChild>
</SkillSubClassifications>
<SpokenLanguage>12</SpokenLanguage>
<SuburbId>7</SuburbId>
<WorkType>14</WorkType>
</BvrcVolunteerRegistrationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |